Download it now!
Bug 69381 - PRINTING: Print dialog with GTK have an empty and no name tab
Summary: PRINTING: Print dialog with GTK have an empty and no name tab
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.0.3.3 release
Hardware: Other Linux (All)
: medium normal
Assignee: Arnaud Versini
URL:
Whiteboard: target:4.2.0 target:4.1.3
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-15 15:00 UTC by Arnaud Versini
Modified: 2013-11-13 23:25 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Dialog with empty tab (13.88 KB, image/png)
2013-09-15 15:00 UTC, Arnaud Versini
Details
Dialog with empty tab (13.88 KB, image/png)
2013-09-16 09:38 UTC, Arnaud Versini
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Arnaud Versini 2013-09-15 15:00:41 UTC
Created attachment 85862 [details]
Dialog with empty tab

Steps to reproduce :

Use native print dialogs in Options
Use File -> Print

Results :
An print dialog with one empty and no name tab

Expected behavior
Dialog without empty tabs
Comment 1 sophie 2013-09-15 15:04:18 UTC
Confirmed under Debian/Gnome and LO 4.0.3 version - Sophie
Comment 2 Arnaud Versini 2013-09-16 09:38:40 UTC
Created attachment 85899 [details]
Dialog with empty tab
Comment 3 Commit Notification 2013-09-17 11:02:56 UTC
Arnaud Versini committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0c47695fd3ee85b8c24d6969e3061ec23a0cfdc4

Fix fdo#69381 by skipping empty option groups



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2013-09-17 12:25:38 UTC
Arnaud Versini committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f8f5c9eaab6cd3675358064feec68c7481a38154&h=libreoffice-4-1

Fix fdo#69381 by skipping empty option groups


It will be available in LibreOffice 4.1.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.